Skip to main content
POST
/
merchant
/
invoice
/
mark_wire_transfer_success
Mark Wire Transfer Invoice As Paid (Manual)
curl --request POST \
  --url https://api.unibee.dev/merchant/invoice/mark_wire_transfer_success \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoiceId": "<string>",
  "transferNumber": "<string>",
  "reason": "<string>"
}
'
{
  "code": 123,
  "data": {},
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/mark_wire_transfer_success Manually mark a pending wire transfer invoice as paid and trigger invoice paid flow. Only supports wire transfer invoices that have been paid offline.

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
invoiceIdstringYesThe unique id of invoice
reasonstringNoThe reason of mark action
transferNumberstringYesThe transfer number of invoice

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/invoice/mark_wire_transfer_success" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "reason": "",
  "transferNumber": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/invoice/mark_wire_transfer_success" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "reason": "",
  "transferNumber": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Manually mark a pending wire transfer invoice as paid and trigger invoice paid flow. Only supports wire transfer invoices that have been paid offline.

invoiceId
string<string>
required

The unique id of invoice

transferNumber
string<string>
required

The transfer number of invoice

reason
string<string>

The reason of mark action

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>